function demo_svm(datafile, svmoptions)
% DEMO_SVM Shows the results of SVM algorithm. Requires STPRtoolbox.
% 
% Description:
%   ...

% Filename     : demo_svm.m
% Author       : Petr Posik (posik#labe.felk.cvut.cz, replace # with @ to get email)
% Created      : 18-Feb-2010 17:21:49
% Modified     : $Date: 2011-03-08 12:09:09 +0100 (út, 08 III 2011) $
% Revision     : $Revision: 7904 $
% Developed in : 7.5.0.342 (R2007b)
% $Id: demo_svm.m 7904 2011-03-08 11:09:09Z posik $

    % Process arguments
    if nargin < 1 || isempty(datafile), datafile = 'riply_trn'; end
    if nargin < 2 || isempty(svmoptions), 
        svmoptions.ker = 'rbf'; 
        svmoptions.arg = 1;
        svmoptions.C = 1000;
    end

    clc;

    % Load data
    data = load(datafile);
    [dim,N] = size(data.X);
    
    % Train the model
    model = svm2(data, svmoptions);

    % Plot the results
    ax = getAxisForData(data);
    hf = presentationfigure; axis(ax); hold on;
    ha = pareas(gcf, model);
    hx = pwpatterns(data, ones(N,1)); %2*D/max(D));%*N/sum(D));
    plot(model.sv.X(1,:), model.sv.X(2,:),'ko', 'Linewidth', 2, 'MarkerSize',8);
    hl = pboundary(model); set(hl,'Linewidth',3,'color','k');

    drawnow;
end
