function h = pwpatterns(data, w)
% PWPATTERNS Plots 2D weighted patterns using balls of different sizes.
%   The weights are scaled in such a way that the data point with weight
%   1 are plotted with markersize 5.
% 
% Description:
%   ...

% Filename     : pwpatterns.m
% Author       : Petr Posik (posik#labe.felk.cvut.cz, replace # with @ to get email)
% Created      : 18-Feb-2010 17:51:11
% Modified     : $Date: 2010-03-31 11:12:10 +0200 (st, 31 III 2010) $
% Revision     : $Revision: 5096 $
% Developed in : 7.5.0.342 (R2007b)
% $Id: pwpatterns.m 5096 2010-03-31 09:12:10Z posik $

    N = size(data.X,2);
    h = zeros(1,N);
%     w = sqrt(w);
    w = 5*w;
    
    washold = ishold;
    hold on;
    for i = 1:N,
        if data.y(i) == 1,
            h(i) = plot(data.X(1,i), data.X(2,i), 'bo', ...
                'MarkerFaceColor', 'b', 'MarkerSize', w(i));
        else
            h(i) = plot(data.X(1,i), data.X(2,i), 'ro', ...
                'MarkerFaceColor', 'r', 'MarkerSize', w(i));
        end
    end
    if ~washold, hold off; end

end
